javax.persistence

## Class NoResultException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.NoResultException

All Implemented Interfaces:
  Serializable

    public class NoResultException
    extends PersistenceException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoResultException()`
`NoResultException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoResultException

    public NoResultException()

#### NoResultException

    public NoResultException(String message)